Tenants - Update Tenant Setting
Update a given tenant setting.
Note
This API is part of a Preview release and is provided for evaluation and development purposes only. It may change based on feedback and is not recommended for production use.
Permissions
The caller must be a Fabric administrator or authenticate using a service principal.
Required Delegated Scopes
Tenant.ReadWrite.All
Limitations
Maximum 25 requests per minute.
Microsoft Entra supported identities
This API supports the Microsoft identities listed in this section.
| Identity | Support |
|---|---|
| User | Yes |
| Service principal and Managed identities | Yes |
Interface
POST https://api.fabric.microsoft.com/v1/admin/tenantsettings/{tenantSettingName}/update
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
tenant
|
path | True |
string |
The name of tenant setting. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| enabled | True |
boolean |
The status of the tenant setting. False - Disabled, True - Enabled. |
| delegateToCapacity |
boolean |
Indicates whether the tenant setting can be delegated to a capacity admin. False - Capacity admin cannot override the tenant setting. True - Capacity admin can override the tenant setting. |
|
| delegateToDomain |
boolean |
Indicates whether the tenant setting can be delegated to a domain admin. False - Domain admin cannot override the tenant setting. True - Domain admin can override the tenant setting. |
|
| delegateToWorkspace |
boolean |
Indicates whether the tenant setting can be delegated to a workspace admin. False - Workspace admin cannot override the tenant setting. True - Workspace admin can override the tenant setting. |
|
| enabledSecurityGroups |
A list of enabled security groups. |
||
| excludedSecurityGroups |
A list of excluded security groups. |
||
| properties |
Tenant setting properties. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK. The operation was successful. |
|
| 429 Too Many Requests |
The service rate limit was exceeded. The server returns a Headers Retry-After: integer |
|
| Other Status Codes |
Common error codes:
|
Examples
Update tenant setting example
Sample request
POST https://api.fabric.microsoft.com/v1/admin/tenantsettings/PublishToWeb/update
{
"enabled": true,
"enabledSecurityGroups": [
{
"graphId": "f51b705f-a409-4d40-9197-c5d5f349e2f0",
"name": "TestComputeCdsa"
}
],
"properties": [
{
"name": "CreateP2w",
"value": "true",
"type": "Boolean"
}
]
}
Sample response
{
"tenantSettings": [
{
"settingName": "PublishToWeb",
"title": "Sample test tenant setting",
"enabled": true,
"canSpecifySecurityGroups": true,
"enabledSecurityGroups": [
{
"graphId": "f51b705f-a409-4d40-9197-c5d5f349e2f0",
"name": "TestComputeCdsa"
}
],
"properties": [
{
"name": "CreateP2w",
"value": "true",
"type": "Boolean"
}
],
"tenantSettingGroup": "TestSetting"
}
]
}
Definitions
| Name | Description |
|---|---|
|
Error |
The error related resource details object. |
|
Error |
The error response. |
|
Error |
The error response details. |
|
Tenant |
Tenant level setting details. |
|
Tenant |
Tenant setting property. |
|
Tenant |
Tenant setting property type. Additional tenant setting property types may be added over time. |
|
Tenant |
Tenant setting security group. |
|
Update |
Tenant setting update request. |
|
Update |
Tenant setting update response. |
ErrorRelatedResource
The error related resource details object.
| Name | Type | Description |
|---|---|---|
| resourceId |
string |
The resource ID that's involved in the error. |
| resourceType |
string |
The type of the resource that's involved in the error. |
ErrorResponse
The error response.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| message |
string |
A human readable representation of the error. |
| moreDetails |
List of additional error details. |
|
| relatedResource |
The error related resource details. |
|
| requestId |
string (uuid) |
ID of the request associated with the error. |
ErrorResponseDetails
The error response details.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| message |
string |
A human readable representation of the error. |
| relatedResource |
The error related resource details. |
TenantSetting
Tenant level setting details.
| Name | Type | Description |
|---|---|---|
| canSpecifySecurityGroups |
boolean |
Indicates if the tenant setting is enabled for a security group. False - The tenant setting is enabled for the entire organization. True - The tenant setting is enabled for security groups. |
| delegateToCapacity |
boolean |
Indicates whether the tenant setting can be delegated to a capacity admin. False - Capacity admin cannot override the tenant setting. True - Capacity admin can override the tenant setting. |
| delegateToDomain |
boolean |
Indicates whether the tenant setting can be delegated to a domain admin. False - Domain admin cannot override the tenant setting. True - Domain admin can override the tenant setting. |
| delegateToWorkspace |
boolean |
Indicates whether the tenant setting can be delegated to a workspace admin. False - Workspace admin cannot override the tenant setting. True - Workspace admin can override the tenant setting. |
| enabled |
boolean |
The status of the tenant setting. False - Disabled, True - Enabled. |
| enabledSecurityGroups |
A list of enabled security groups. |
|
| excludedSecurityGroups |
A list of excluded security groups. |
|
| properties |
Tenant setting properties. |
|
| settingName |
string |
The name of the tenant setting. |
| tenantSettingGroup |
string |
Tenant setting group name. |
| title |
string |
The title of the tenant setting. |
TenantSettingProperty
Tenant setting property.
| Name | Type | Description |
|---|---|---|
| name |
string |
The name of the property. |
| type |
The type of the property. |
|
| value |
string |
The value of the property. |
TenantSettingPropertyType
Tenant setting property type. Additional tenant setting property types may be added over time.
| Value | Description |
|---|---|
| FreeText |
UI accepts any string for the text box. |
| Url |
UI accepts only URLs for the text box. |
| Boolean |
A checkbox in the UI. |
| MailEnabledSecurityGroup |
UI accepts only email enabled security groups for the text box. |
| Integer |
UI accepts only integers for the text box. |
TenantSettingSecurityGroup
Tenant setting security group.
| Name | Type | Description |
|---|---|---|
| graphId |
string |
The graph ID of the security group. |
| name |
string |
The name of the security group. |
UpdateTenantSettingRequest
Tenant setting update request.
| Name | Type | Description |
|---|---|---|
| delegateToCapacity |
boolean |
Indicates whether the tenant setting can be delegated to a capacity admin. False - Capacity admin cannot override the tenant setting. True - Capacity admin can override the tenant setting. |
| delegateToDomain |
boolean |
Indicates whether the tenant setting can be delegated to a domain admin. False - Domain admin cannot override the tenant setting. True - Domain admin can override the tenant setting. |
| delegateToWorkspace |
boolean |
Indicates whether the tenant setting can be delegated to a workspace admin. False - Workspace admin cannot override the tenant setting. True - Workspace admin can override the tenant setting. |
| enabled |
boolean |
The status of the tenant setting. False - Disabled, True - Enabled. |
| enabledSecurityGroups |
A list of enabled security groups. |
|
| excludedSecurityGroups |
A list of excluded security groups. |
|
| properties |
Tenant setting properties. |
UpdateTenantSettingResponse
Tenant setting update response.
| Name | Type | Description |
|---|---|---|
| tenantSettings |
A list of tenant settings that were updated. |